#!/bin/sh

# Set the java home directory, 
# For example: If jdk1.2 is installed in your machine in the /usr/jdk1.2 
# directory then set JAVA_HOME_DIR=/usr/jdk1.2

JAVA_HOME_DIR=/home/profs/benso/java

cd ../bin/
. setallEnv.sh
cd ../MibBrowser


if [ -z  ${JAVA_HOME_DIR} ]
then 
	echo
	echo "** Error: Edit the 'JAVA_HOME_DIR' variable in this script file to point to the java directory."
  echo "For example: If jdk1.2 is installed in your machine in the /usr/jdk1.2"
	echo "directory then set JAVA_HOME_DIR=/usr/jdk1.2 in this script file."
	echo "The 'JAVA_HOME_DIR' directory should contain the sub-directory 'bin'."
	echo "The java executable should be present in the sub-directory bin."
	echo

else
   # Set the PATH
   PATH=${JAVA_HOME_DIR}/bin:${PATH}

   # Set the CLASSPATH
   CLASSPATH=.:../classes/:../jars/JimiProClasses.zip:../jars/swingall.jar:../jars/mysql_comp.jar:$CLASSPATH
   export PATH CLASSPATH 
   $JAVA_CMD MibBrowserApplication -m ../mibs/RFC1213-MIB -h localhost -c public

fi
