#!/bin/sh

# Set the java home directory, 
# For example: If jdk1.2 is installed in your machine in the /usr/jdk1.2 
# directory then set JAVA_HOME_DIR=/usr/jdk1.2

. setallEnv.sh
cd ..
# Set the PATH
	PATH=${JAVA_HOME_DIR}/bin:${PATH}

# Set the CLASSPATH
	CLASSPATH=$CLASSPATH
	export PATH CLASSPATH

# Usage java com.adventnet.tools.update.PatchManager  [-i internationalize] [-l language] [-o country] [-p properties] [-f filepath]
# Give the command line arguments in ""
#	 -i internationalize(Give true for internationalisation)
#	 -l language (lowercase two-letter ISO-639 code)
# 	 -o country (uppercase two-letter ISO-3166 code)
# 	 -p properties (Give the name of .properties file)
# 	 -f filepath (The path where the .properties file is present)     

$JAVA_CMD com.adventnet.tools.update.PatchManager -i "true" -l "en" -o "IN" -p "UpdateManager" -f "$SNMP_HOME/conf"
