@echo off

call setallEnv.bat
cd ..
rem This script when executed sets the CLASSPATH for the encryption packages and
rem associated  classes. The script can be used when the SNMP V3 funtionality 
rem is used.

rem Uncomment (remove the rem statement) the appropriate lines accordingly 
rem based on the encryption package used and the PATH in which it can be found

rem Set the path in which the encryption package is present. For eg if the 
rem package is Cryptix3.1.1 and is present in the parent directory(%SNMP_HOME%) then
rem uncomment and set as CRYPTIX3_1_1DIR=%SNMP_HOME% 

rem In addition to this if the Cryptix package (any of the versions) is used add
rem the line:
rem security.provider.2=cryptix.provider.Cryptix
rem to the jre\lib\security\java.security file in the Java Home directory.

rem If the JCE package (any version) is used then add the line:
rem security.provider.2=com.sun.crypto.provider.SunJCE
rem to the jre\lib\security\java.security file in the Java Home directory.

rem set CRYPTIX3_1_1DIR=
rem set CRYPTIX3_1_3DIR=
rem set CRYPTIX3_2DIR=
rem set JCE1_2DIR=
rem set JCE1_2_1DIR=

rem For Cryptix3.1.1  uncomment the following line
rem set CLASSPATH=%CRYPTIX3_1_1DIR%\ALG_0-1-1.jar;%CRYPTIX3_1_1DIR%\IJCE_0-1-1.jar;%CRYPTIX3_1_1DIR%\SPT_0-1-1.jar

rem For Cryptix3.1.3 uncomment the following line
rem set CLASSPATH=%CRYPTIX3_1_3DIR%\cryptix31.jar

rem For Cryptix3.2 uncomment the following line
rem set CLASSPATH=%CRYPTIX3.2DIR%\cryptix32.jar;%SNMP_HOME%\cryptix_classes


rem For JCE1.2 uncomment the following line
rem set CLASSPATH=%JCE1_2DIR%\jce12-rc1-dom.jar;%SNMP_HOME%\jdk1.2_classes

rem For JCE1.2.1 uncomment the following line
rem set CLASSPATH=%JCE1_2_1DIR%\US_export_policy.jar;%JCE1_2_1DIR%\local_policy.jar;%JCE1_2_1DIR%\jce1_2_1.jar;%JCE1_2_1DIR%\sunjce_provider.jar;%SNMP_HOME%\jdk1.2_classes

set CLASSPATH=%CLASSPATH%;%SNMP_HOME%\classes;.
